Skip to main content
GET
/
v1
/
merchants
/
{merchantId}
Get a merchant
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/merchants/{merchantId} \
  --header 'Api-Key: <api-key>'
{
  "merchant": {
    "id": "mrch_7kBz2qR9xPvLmN4Yw",
    "name": "Acme Store",
    "email": "billing@acme.store",
    "status": "active",
    "iconUrl": "https://imagedelivery.net/example/acme-icon.png",
    "createdAt": "2025-06-15T10:30:00.000Z",
    "settlements": {
      "crypto": [
        {
          "configId": "crypto_Vx9mRp3TwKj7YqNz4",
          "asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
          "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"
        }
      ],
      "fiat": [
        {
          "configId": "fiat_Bk4nWp8XmQj2YrTv6",
          "status": "active",
          "bankType": "ACH"
        }
      ]
    }
  }
}

Authorizations

Api-Key
string
header
required

Path Parameters

merchantId
string
required

Response

Merchant details

merchant
object
required